import { Expose, Type } from 'class-transformer';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';
import { StatusOutputDto } from '../../../status/dto/output/status.dto';

export class MotivoOutputDto {
  @Expose()
  id_motivo;

  @Expose()
  fecha_creacion;

  @Expose()
  motivo;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  operador;

  @Expose()
  @Type(() => StatusOutputDto)
  status;
}
