import { Expose, Type } from 'class-transformer';
import { InstitucionMinOutputDto } from '../../../institucion/dto/output/institucion-min.dto';
import { TipoUsuarioOutputDto } from '../../../tipo-usuario/dto/output/tipo-usuario.dto';

export class OperadorOutputDto {
  @Expose()
  id_operador;

  @Expose()
  activo;

  @Expose()
  correo;

  @Expose()
  nombre;

  @Expose()
  operador;

  @Expose()
  @Type(() => InstitucionMinOutputDto)
  institucion;

  @Expose()
  @Type(() => TipoUsuarioOutputDto)
  tipoUsuario;
}
