import { IsInt, IsMilitaryTime, IsOptional } from 'class-validator';

export class UpdateHoraExcepcionDto {
  @IsInt()
  id_hora_excepcion: number;

  @IsMilitaryTime()
  @IsOptional()
  hora_fin?: string;

  @IsMilitaryTime()
  @IsOptional()
  hora_inicio?: string;
}
