import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { InstitucionInfraccion } from './institucion-infraccion.entity';

@Entity()
export class Infraccion {
  @PrimaryGeneratedColumn()
  id_infraccion: number;

  @Column({ type: String, nullable: false, length: 50 })
  infraccion: string;

  @OneToMany(
    () => InstitucionInfraccion,
    (institucionInfraccion) => institucionInfraccion.infraccion,
  )
  instituciones: InstitucionInfraccion[];
}
