import { Expose, Type } from 'class-transformer';
import { InstitucionInfraccionOutputDto } from '../../../institucion-infraccion/dto/output/institucion-infraccion.dto';
import { OperadorMinOutputDto } from '../../../operador/dto/output/operador-min.dto';
import { PrestamoUsuarioMinOutputDto } from '../../../prestamo/dto/output/prestamo-usuario-min.dto';

export class MultasUsuarioOutputDto {
  @Expose()
  id_multa;

  @Expose()
  activo;

  @Expose()
  descripcion;

  @Expose()
  fecha_fin;

  @Expose()
  fecha_inicio;

  @Expose()
  retraso;

  @Expose()
  @Type(() => InstitucionInfraccionOutputDto)
  institucionInfraccion;

  @Expose()
  @Type(() => OperadorMinOutputDto)
  opeardorMulta;

  @Expose()
  @Type(() => PrestamoUsuarioMinOutputDto)
  prestamo;
}
