import { IsEmail, IsInt, IsOptional, IsPhoneNumber } from 'class-validator';

export class RegistrarUsuarioInputDto {
  @IsInt()
  id_institucion_usuario: number;

  @IsPhoneNumber('MX')
  telefono: string;

  @IsEmail()
  @IsOptional()
  correo?: string;
}
